Package org.apache.jasper.compiler

## Class Localizer

- java.lang.Object
- - org.apache.jasper.compiler.Localizer

    public class Localizer
    extends java.lang.Object

Class responsible for converting error codes to corresponding localized error messages.

Author:
  Jan Luehe

### Constructor Summary

Constructors
`Localizer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getMessage​(java.lang.String errCode)`
`static java.lang.String` `getMessage​(java.lang.String errCode, java.lang.Object... args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Localizer

    public Localizer()

### Method Detail

#### getMessage

    public static java.lang.String getMessage​(java.lang.String errCode)

#### getMessage

    public static java.lang.String getMessage​(java.lang.String errCode,
                                              java.lang.Object... args)